package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Author:wangjiabao
 * Date:2022-02-14
 * Content:
 */
@SuppressWarnings("unused")
public class AnnouncementAttachment extends BaseEntity {
    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("系统公告id")
    @RColumn("idannouncement")
    private long idAnnouncement;

    @Comment("上传人")
    @RColumn("iduser")
    private long idUser;

    @Comment("上传人")
    @RColumn("username")
    private String userName;

    @Comment("原始文件名")
    @RColumn("originname")
    private String originName;

    @Comment("文件名")
    @RColumn("srcfilename")
    private String srcFileName;

    @Comment("文件描述")
    @RColumn("filedescription")
    private String fileDescription;

    @Comment("附件链接")
    @RColumn("attachmenturl")
    private String attachmentUrl;

    @Comment("下载链接")
    @RColumn("downloadurl")
    private String downloadUrl;

    @Comment("排序")
    @RColumn("sortnum")
    private int sortNum;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdAnnouncement() {
        return idAnnouncement;
    }

    public void setIdAnnouncement(long idAnnouncement) {
        this.idAnnouncement = idAnnouncement;
    }

    public long getIdUser() {
        return idUser;
    }

    public void setIdUser(long idUser) {
        this.idUser = idUser;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOriginName() {
        return originName;
    }

    public void setOriginName(String originName) {
        this.originName = originName;
    }

    public String getSrcFileName() {
        return srcFileName;
    }

    public void setSrcFileName(String srcFileName) {
        this.srcFileName = srcFileName;
    }

    public String getFileDescription() {
        return fileDescription;
    }

    public void setFileDescription(String fileDescription) {
        this.fileDescription = fileDescription;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public int getSortNum() {
        return sortNum;
    }

    public void setSortNum(int sortNum) {
        this.sortNum = sortNum;
    }
}
